|  | Home · All Classes · Modules

# QDBusObjectPath Class Reference
[QtDBus module]

The QDBusObjectPath class enables the programmer to identify the OBJECT_PATH type provided by the D-Bus typesystem. More...

### Methods

- __init__ (self)
- __init__ (self, QString path)
- __init__ (self, QDBusObjectPath)
- QString path (self)
- setPath (self, QString path)

### Special Methods

- bool __eq__ (self, QDBusObjectPath rhs)
- bool __ge__ (self, QDBusObjectPath rhs)
- int __hash__ (self)
- bool __lt__ (self, QDBusObjectPath rhs)
- bool __ne__ (self, QDBusObjectPath rhs)

## Detailed Description

The QDBusObjectPath class enables the programmer to identify the OBJECT_PATH type provided by the D-Bus typesystem.

## Method Documentation

### QDBusObjectPath.__init__ (self)

Constructs a new object path.

### QDBusObjectPath.__init__ (self, QString path)

Constructs a new object path from the given path.

See also setPath().

### QDBusObjectPath.__init__ (self, QDBusObjectPath)

Constructs a new object path from the given path.

### QString QDBusObjectPath.path (self)

### QDBusObjectPath.setPath (self, QString path)

Assigns the value of the given path to this object path.

See also path().

### bool QDBusObjectPath.__eq__ (self, QDBusObjectPath rhs)

### bool QDBusObjectPath.__ge__ (self, QDBusObjectPath rhs)

### int QDBusObjectPath.__hash__ (self)

### bool QDBusObjectPath.__lt__ (self, QDBusObjectPath rhs)

### bool QDBusObjectPath.__ne__ (self, QDBusObjectPath rhs)